`dockerd-rootless.sh install` is a common typo of `dockerd-rootless-setuptool.sh install`.
Now `dockerd-rootless.sh install` shows human-readable error.
Signed-off-by: Akihiro Suda <akihiro.suda.cz@hco.ntt.co.jp>
(cherry picked from commit 8dc6c109b59b4f5629e7fb6018be88a068d1bad7)
Signed-off-by: Sebastiaan van Stijn <github@gone.nl>
| ... | ... |
@@ -18,6 +18,12 @@ |
| 18 | 18 |
# See the documentation for the further information: https://docs.docker.com/engine/security/rootless/ |
| 19 | 19 |
|
| 20 | 20 |
set -e -x |
| 21 |
+case "$1" in |
|
| 22 |
+ "check" | "install" | "uninstall") |
|
| 23 |
+ echo "Did you mean 'dockerd-rootless-setuptool.sh $@' ?" |
|
| 24 |
+ exit 1 |
|
| 25 |
+ ;; |
|
| 26 |
+esac |
|
| 21 | 27 |
if ! [ -w $XDG_RUNTIME_DIR ]; then |
| 22 | 28 |
echo "XDG_RUNTIME_DIR needs to be set and writable" |
| 23 | 29 |
exit 1 |